#!/sbin/sh

VERSION=$(for i in `cat /proc/cmdline`; do echo $i | grep project_name | dd bs=1 skip=25 2>/dev/null; done)

if [ -f /sdcard/.elementalx.backup ]; then
  ELEX_CONF="/sdcard/.elementalx.backup"

  CPU0=`grep "CPU0" $ELEX_CONF | cut -d '=' -f2`
  CPU2=`grep "CPU2" $ELEX_CONF | cut -d '=' -f2`

	if [ $VERSION == "15811" ]; then

	  case $CPU0 in
		1)
		  cpu_max_c1="cpu_max_c1=2188800"
		  ;;
		2)
		  cpu_max_c1="cpu_max_c1=1996800"
		  ;;
		3)
		  cpu_max_c1="cpu_max_c1=1728000"
		  ;;
		4)
		  cpu_max_c1="cpu_max_c1=1593600"
		  ;;
		5)
		  cpu_max_c1="cpu_max_c1=1440000"
		  ;;
		6)
		  cpu_max_c1="cpu_max_c1=1286400"
		  ;;
	  esac

	  case $CPU2 in
		1)
		  cpu_max_c2="cpu_max_c2=2419200"
		  ;;
		2)
		  cpu_max_c2="cpu_max_c2=2342400"
		  ;;
		3)
		  cpu_max_c2="cpu_max_c2=2150400"
		  ;;
		4)
		  cpu_max_c2="cpu_max_c2=1977600"
		  ;;
		5)
		  cpu_max_c2="cpu_max_c2=1747200"
		  ;;
	  	6)
		  cpu_max_c2="cpu_max_c2=1593600"
		  ;;
	  esac

	else

	  case $CPU0 in
		1)
		  cpu_max_c1="cpu_max_c1=1728000"
		  ;;
		2)
		  cpu_max_c1="cpu_max_c1=1593600"
		  ;;
		3)
		  cpu_max_c1="cpu_max_c1=1478400"
		  ;;
		4)
		  cpu_max_c1="cpu_max_c1=1324800"
		  ;;
		5)
		  cpu_max_c1="cpu_max_c1=1228800"
		  ;;
	  esac

	  case $CPU2 in
		1)
		  cpu_max_c2="cpu_max_c2=2265600"
		  ;;
		2)
		  cpu_max_c2="cpu_max_c2=2150400"
		  ;;
		3)
		  cpu_max_c2="cpu_max_c2=1996800"
		  ;;
		4)
		  cpu_max_c2="cpu_max_c2=1824000"
		  ;;
		5)
		  cpu_max_c2="cpu_max_c2=1708800"
		  ;;
	  	6)
		  cpu_max_c2="cpu_max_c2=1555200"
		  ;;
	  esac

	fi

  echo "cmdline = androidboot.hardware=qcom user_debug=31 msm_rtb.filter=0x237 ehci-hcd.park=3 lpm_levels.sleep_disabled=1 cma=32M@0-0xffffffff" $cpu_max_c1 $cpu_max_c2 > /tmp/cmdline.cfg

else

	if [ $VERSION == "15811" ]; then
	  echo "cmdline = androidboot.hardware=qcom user_debug=31 msm_rtb.filter=0x237 ehci-hcd.park=3 lpm_levels.sleep_disabled=1 cma=32M@0-0xffffffff cpu_max_c1=2188800 cpu_max_c2=2342400"  > /tmp/cmdline.cfg
	else
	  echo "cmdline = androidboot.hardware=qcom user_debug=31 msm_rtb.filter=0x237 ehci-hcd.park=3 lpm_levels.sleep_disabled=1 cma=32M@0-0xffffffff cpu_max_c1=1593600 cpu_max_c2=2150400"  > /tmp/cmdline.cfg
	fi

fi
